### Method

# WebKitWebProcessExtension ConsoleMessage get_source

#### Declaration [src]

    WebKitConsoleMessageSource
    webkit_console_message_get_source (
      WebKitConsoleMessage* console_message
    )

#### Description [src]

Gets the source of a `WebKitConsoleMessage`.

Available since: | 2.12

#### Return value

Returns: | `WebKitConsoleMessageSource`
| A `WebKitConsoleMessageSource` indicating the source of `console_message`.